Bug 25045 - Backport: Update php 7.2.20
Summary: Backport: Update php 7.2.20
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Backports (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-32-OK MGA6-64-OK
Keywords: Backport, validated_backport
Depends on:
Blocks:
 
Reported: 2019-07-04 18:51 CEST by Marc Krämer
Modified: 2019-07-21 14:38 CEST (History)
5 users (show)

See Also:
Source RPM: php
CVE:
Status comment:


Attachments

Description Marc Krämer 2019-07-04 18:51:11 CEST
new version fixes a number of segfault (core, mysqli, mysqlnd, sodium)
Comment 1 Marc Krämer 2019-07-04 19:13:33 CEST
Suggested advisory:
========================
- Core:
    Fixed bug #76980 (Interface gets skipped if autoloader throws an exception).
- DOM:
    Fixed bug #78025 (segfault when accessing properties of DOMDocumentType).
- MySQLi:
    Fixed bug #77956 (When mysqli.allow_local_infile = Off, use a meaningful error message).
    Fixed bug #38546 (bindParam incorrect processing of bool types).
- Opcache:
    Fixed bug #78106 (Path resolution fails if opcache disabled during request).
- OpenSSL:
    Fixed bug #78079 (openssl_encrypt_ccm.phpt fails with OpenSSL 1.1.1c).
- Sockets:
    Fixed bug #78038 (Socket_select fails when resource array contains references).
- Standard:
    Fixed bug #77135 (Extract with EXTR_SKIP should skip $this).
    Fixed bug #77937 (preg_match failed).
- Zip:
    Fixed bug #76345 (zip.h not found).

References:
https://www.php.net/ChangeLog-7.php#7.2.20

========================

Updated packages in core/backports_testing:
========================
php-ini-7.2.20-1.mga6
apache-mod_php-7.2.20-1.mga6
php-cli-7.2.20-1.mga6
php-cgi-7.2.20-1.mga6
lib64php_common7-7.2.20-1.mga6
php-devel-7.2.20-1.mga6
php-openssl-7.2.20-1.mga6
php-zlib-7.2.20-1.mga6
php-doc-7.2.20-1.mga6
php-bcmath-7.2.20-1.mga6
php-bz2-7.2.20-1.mga6
php-calendar-7.2.20-1.mga6
php-ctype-7.2.20-1.mga6
php-curl-7.2.20-1.mga6
php-dba-7.2.20-1.mga6
php-dom-7.2.20-1.mga6
php-enchant-7.2.20-1.mga6
php-exif-7.2.20-1.mga6
php-fileinfo-7.2.20-1.mga6
php-filter-7.2.20-1.mga6
php-ftp-7.2.20-1.mga6
php-gd-7.2.20-1.mga6
php-gettext-7.2.20-1.mga6
php-gmp-7.2.20-1.mga6
php-hash-7.2.20-1.mga6
php-iconv-7.2.20-1.mga6
php-imap-7.2.20-1.mga6
php-interbase-7.2.20-1.mga6
php-intl-7.2.20-1.mga6
php-json-7.2.20-1.mga6
php-ldap-7.2.20-1.mga6
php-mbstring-7.2.20-1.mga6
php-mysqli-7.2.20-1.mga6
php-mysqlnd-7.2.20-1.mga6
php-odbc-7.2.20-1.mga6
php-opcache-7.2.20-1.mga6
php-pcntl-7.2.20-1.mga6
php-pdo-7.2.20-1.mga6
php-pdo_dblib-7.2.20-1.mga6
php-pdo_firebird-7.2.20-1.mga6
php-pdo_mysql-7.2.20-1.mga6
php-pdo_odbc-7.2.20-1.mga6
php-pdo_pgsql-7.2.20-1.mga6
php-pdo_sqlite-7.2.20-1.mga6
php-pgsql-7.2.20-1.mga6
php-phar-7.2.20-1.mga6
php-posix-7.2.20-1.mga6
php-readline-7.2.20-1.mga6
php-recode-7.2.20-1.mga6
php-session-7.2.20-1.mga6
php-shmop-7.2.20-1.mga6
php-snmp-7.2.20-1.mga6
php-soap-7.2.20-1.mga6
php-sockets-7.2.20-1.mga6
php-sqlite3-7.2.20-1.mga6
php-sysvmsg-7.2.20-1.mga6
php-sysvsem-7.2.20-1.mga6
php-sysvshm-7.2.20-1.mga6
php-tidy-7.2.20-1.mga6
php-tokenizer-7.2.20-1.mga6
php-xml-7.2.20-1.mga6
php-xmlreader-7.2.20-1.mga6
php-xmlrpc-7.2.20-1.mga6
php-xmlwriter-7.2.20-1.mga6
php-xsl-7.2.20-1.mga6
php-wddx-7.2.20-1.mga6
php-zip-7.2.20-1.mga6
php-fpm-7.2.20-1.mga6
phpdbg-7.2.20-1.mga6
php-debuginfo-7.2.20-1.mga6

SRPM:
php-7.2.20-1.mga6.src.rpm

Assignee: mageia => qa-bugs
Keywords: (none) => Backport

Comment 2 Herman Viaene 2019-07-05 10:25:51 CEST
Question: php-mcrypt gets no update ???

CC: (none) => herman.viaene

Comment 3 Herman Viaene 2019-07-05 10:34:00 CEST
Idem php-mysql, php-sybase_ct
Comment 4 Herman Viaene 2019-07-05 11:34:27 CEST
MGA6-32 MATE on IBM Thinkpad R50e
Installed packages as listed in Comment 1 OK
Ref to bug 24165, but most of this is out of my leage.
# systemctl start httpd
# systemctl -l status httpd
● httpd.service - The Apache HTTP Server
   Loaded: loaded (/usr/lib/systemd/system/httpd.service; enabled; vendor preset: enabled)
   Active: active (running) since vr 2019-07-05 11:19:11 CEST; 28s ago
 Main PID: 10909 (httpd)
   Status: "Total requests: 0; Idle/Busy workers 100/0;Requests/sec: 0; Bytes served/sec:   0 B/sec"
   CGroup: /system.slice/httpd.service
           ├─10909 /usr/sbin/httpd -DFOREGROUND
           ├─10910 /usr/sbin/httpd -DFOREGROUND
           ├─10911 /usr/sbin/httpd -DFOREGROUND
           ├─10912 /usr/sbin/httpd -DFOREGROUND
           ├─10913 /usr/sbin/httpd -DFOREGROUND
           └─10914 /usr/sbin/httpd -DFOREGROUND

Created php folder in my Documents
$ php -S localhost:8000 -t php
PHP 7.2.20 Development Server started at Fri Jul  5 11:27:15 2019
Listening on http://localhost:8000
Document root is /home/tester6/Documenten/php
Press Ctrl-C to quit.

In browser localhost:8000/create-png.php
gives 
"Not Found
The requested resource /create-png.php was not found on this server."
Something missing ???
Comment 5 Len Lawrence 2019-07-05 22:23:33 CEST
@Herman: in reply to comment 4:
Sorry about that Herman - the two php files I used in testing were taken from a tutorial somewhere - I should have attached my copies.  Here they are anyway.
$ cat create-png.php*
<?php
  header('Content-type: image/png');
  $png_image = imagecreate(150, 150);
  imagecolorallocate($png_image, 15, 142, 210);
  imagepng($png_image);
  $path_image = 'one.png';
  imagepng($png_image, $path_image);
  imagedestroy($png_image);
?>
and the usual helloworld type script:
$ cat sample.php
<?php
print "Now hear this.  This is you captain speaking.";
print "All hands on deck.  Abandon ship.";
?>

The other things in bug 24165 mainly concern POC testing so are not relevant here.

CC: (none) => tarazed25

Comment 6 Herman Viaene 2019-07-06 13:55:00 CEST
Tx Len. test is OK now.

Whiteboard: (none) => MGA6-32-OK

Comment 7 José Jorge 2019-07-06 17:28:33 CEST
Tested in a real x86_64 production server, all ok : mysqli, nextcloud through pdo-mysql, spip cms.

@Herman, the packages you search are extension removed upstream from PHP7.

CC: (none) => lists.jjorge
Whiteboard: MGA6-32-OK => MGA6-32-OK MGA6-64-OK

Comment 8 Marc Krämer 2019-07-14 23:35:56 CEST
anything missing here? Or can this go live? The next release is not far away...
Anyone able to test the 7.3 update?
Comment 9 Thomas Andrews 2019-07-20 14:39:03 CEST
Should be OK. Validating.

CC: (none) => andrewsfarm
Keywords: (none) => validated_backport

Comment 10 Thomas Backlund 2019-07-21 14:38:59 CEST
package moved

Status: NEW => RESOLVED
CC: (none) => tmb
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.